## org.eclipse.datatools.connectivity
Interface IConnectionFactoryProvider

All Superinterfaces:
  IConnectionFactory

    public interface IConnectionFactoryProvider

extends IConnectionFactory

This interface is used to access functionality provided by a connection factory extension.

Author:
  rcernich Created on Jan 5, 2004

Method Summary
`java.lang.Class` `getConnectionFactoryClass()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getPriority()`

Methods inherited from interface org.eclipse.datatools.connectivity.IConnectionFactory
`createConnection, createConnection`

Method Detail

### getId

    java.lang.String getId()

  Returns:
    the id of the provided connection factory

### getName

    java.lang.String getName()

  Returns:
    the name of the provided connection factory

### getConnectionFactoryClass

    java.lang.Class getConnectionFactoryClass()

  Returns:
    the class specified by the extension point.

### getPriority

    java.lang.String getPriority()

  Returns:
    the priority of the provided connection factory